Bug 131594 - rpc.rquotad -p gets port wrong
rpc.rquotad -p gets port wrong
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: quota (Show other bugs)
2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
http://sourceforge.net/projects/linux...
:
Depends On:
Blocks: FC3BugWeekTracker
  Show dependency treegraph
 
Reported: 2004-09-02 12:42 EDT by Andrew Taylor
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 11:23:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Taylor 2004-09-02 12:42:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8a3)
Gecko/20040817 Mnenhy/0.6.0.104

Description of problem:
The rpc.rquotad from quota-3.10 (latest in fc2) has a bug in it.  The
-p option uses the port without first converting it to network byte
order (htons).  Newer quota packages from upstream have fixed this
bug.  A workaround is to specify the port in big endian (e.g.
"rpc.rquotad -p 39426" for port 666).


Version-Release number of selected component (if applicable):
quota-3.10-2

How reproducible:
Always

Steps to Reproduce:
1. run rpc.rquotad -p 666
2. run netstat -lp | grep rquotad

    

Actual Results:  rpc.rquotad is listening on port 39426

Expected Results:  rpc.rquotad should be listening on port 666

Additional info:

This bug is fixed upstream
Comment 1 Marcin Garski 2004-09-28 11:23:47 EDT
Rawhide include quota-3.12.
Not reproduced on current versions of the distribution.
Comment 2 Andrew Taylor 2004-09-28 12:30:53 EDT
Now it should be possible to fix bug 124676.

Note You need to log in before you can comment on or make changes to this bug.